# frozen_string_literal: true

# Hardware - database model for PC hardware
class Hardware < Sequel::Model(:hardware)

  one_to_many :results

  def bench_results()
    br = Hash.new()

    self.results.each do |r|
      unless br.key?(r.benchmark.name)
        br[r.benchmark.name.to_s] = []
      end

      br[r.benchmark.name.to_s].push(r.avg_score)
    end

    return br
  end

end
